import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { NzLocaleService } from '../locale/index';
import { TransferItem } from './item';
export declare class NzTransferComponent implements OnChanges {
    private _locale;
    private _showSearch;
    leftFilter: string;
    rightFilter: string;
    nzDataSource: TransferItem[];
    nzTitles: string[];
    nzOperations: string[];
    nzListStyle: object;
    nzItemUnit: string;
    nzItemsUnit: string;
    render: TemplateRef<void>;
    footer: TemplateRef<void>;
    nzShowSearch: boolean;
    nzFilterOption: (inputValue: string, item: TransferItem) => boolean;
    nzSearchPlaceholder: string;
    nzNotFoundContent: string;
    nzChange: EventEmitter<{
        from: string;
        to: string;
        list: TransferItem[];
    }>;
    nzSearchChange: EventEmitter<{
        direction: string;
        value: string;
    }>;
    nzSelectChange: EventEmitter<{
        direction: string;
        checked: boolean;
        list: TransferItem[];
        item: TransferItem;
    }>;
    leftDataSource: TransferItem[];
    rightDataSource: TransferItem[];
    private splitDataSource();
    private getCheckedData(direction);
    handleLeftSelectAll: (checked: boolean) => void;
    handleRightSelectAll: (checked: boolean) => void;
    handleLeftSelect: (item: TransferItem) => void;
    handleRightSelect: (item: TransferItem) => void;
    handleSelect(direction: 'left' | 'right', checked: boolean, item?: TransferItem): void;
    handleFilterChange(ret: {
        direction: string;
        value: string;
    }): void;
    leftActive: boolean;
    rightActive: boolean;
    private updateOperationStatus(direction, count);
    moveToLeft: () => void;
    moveToRight: () => void;
    moveTo(direction: string): void;
    constructor(_locale: NzLocaleService);
    ngOnChanges(changes: SimpleChanges): void;
}
